﻿@{
    ViewBag.Title = "DisplayMembers";
    Layout = @"~\Views\Shared\_MyJumbulaLayout.cshtml";
}
@{
    string template = "<tr>" +
                        "<td><div>#:FirstName #</div></td>" +
                         "<td><div>#:LastName #</div></td>" +
                         "<td><div>#: Email #</div></td>" +
                         "<td><div>#: TotalAmount #</div></td>" +
                         "<td><div>#: RegisterDate #</div></td>" +
                        "<td><div>#=SetPlayers(ClubPlayers)#</div></td>" +
                         "<td><a userId='#: UserId #' href='##' class=userOrders>View orders</a></td>" +                       
                         "</tr>";
}

<section class="pull-left span9 myjb-content column">
    <div class="pull-left myjb-orders">
        <div class="pull-left myjb-header">

            <h2>Members</h2>
            @(Html.Kendo().Grid<ClubMemberItemViewModel>()
        .Name("ClubMembersGrid")
        .Columns(columns =>
            {
                columns.Bound(c => c.FirstName).Title("First name");
                columns.Bound(c => c.LastName).Title("Last name");
                columns.Bound(c => c.Email).Title("Email");
                columns.Bound(c => c.TotalAmount).Title("Total registration amount").Width(100);
                columns.Bound(c => c.RegisterDate).Title("Fisrt registration date").Width(100);
                columns.Bound(c => c.UserId).Title("Members").Width(300);
                columns.Bound(c => c.UserId).Title("Actions").Width(100);

            }).ClientRowTemplate(template)
            .Groupable()
        .Sortable()
        .EnableCustomBinding(true).Pageable(pageable => pageable
            .PageSizes(true)
            .ButtonCount(5))
            .DataSource(datasource => datasource
                .Ajax()
                .Read(read => read.Action("DisplayMembersPaged", "ClubMembers"))
                .ServerOperation(true)
            )

    )
        </div>
    </div>
</section>
<script type="text/javascript">
    $(document).ready(function () {
        $(".viewOrders").click(function () {
            e.preventDefault();
            var userId = $(this).attr("data-usetId");
            CallPopUp('@Url.Action("DiplayMemberOrders", "ClubMembers")' + "&userId=" + userId, "#mainPopUp", "");
        });
    });

    // create list of player in each row of grid
    // data type is json
    function SetPlayers(data) {
        var result='';

        $.each(JSON.parse(data), function (idx, obj) {
            result += '<div><a playerId=' + obj.PlayerId +' userId='+obj.UserId+ ' class=playerprofile href=##>' + obj.FirstName + ' ' + obj.LastName + '</a><br />';
            result += '<span>' + obj.Relationship + '</span><br />';
            result += '<a class=playerorders href=## playerId=' + obj.PlayerId + '>View orders</a></div>';
        });
        
        
        return result;
    }

    // show player profile
    $(".playerprofile").unbind().live("click", function (e) {
        e.preventDefault();
        var playerId = $(this).attr("playerId");
        var userId = $(this).attr("userId");
        
        var url = "@Url.Action("DisplayPlayerProfile", "ClubMembers")" + "?playerId=" + playerId+"&userId="+userId;
     CallPopUp(url, '_parent', 'reg-detail');
    });
    
    // show orders for player
    $(".playerorders").unbind().live("click", function (e) {
        e.preventDefault();
        var playerId = $(this).attr("playerId");
        var url = "@Url.Action("DiplayMemberOrders", "ClubMembers")" + "?playerId=" + playerId;
        CallPopUp(url, '_parent', 'reg-detail');
      });


    // show all orders of user 
    $(".userOrders").unbind().live("click", function (e) {
        e.preventDefault();
        var userId = $(this).attr("userId");
        var url = "@Url.Action("DiplayMemberOrders", "ClubMembers")" + "?userId=" + userId;
        CallPopUp(url, '_parent', 'reg-detail');
    });
    
</script>
